This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1027516 - beaker-repo-update runs createrepo unnecessarily
beaker-repo-update runs createrepo unnecessarily
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: beah (Show other bugs)
0.14
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.16
: ---
Assigned To: Dan Callaghan
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 20:44 EST by Marco Grigull
Modified: 2014-03-16 23:01 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-16 23:01:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marco Grigull 2013-11-06 20:44:57 EST
Description of problem:
createrepo runs needlessly on repos that weren't updated.  This adds time taken during an outage

Version-Release number of selected component (if applicable):
0.14.2


How reproducible:
any time beaker-repo-update is run

Steps to Reproduce:
1. [root@beaker-02 ~]# beaker-repo-update -b http://someplace.foo.com/beakerrepos/harness/
2.
3.

Actual results:
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-simplejson-2.0.3-2.i386.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-zope-filesystem-1-2.s390x.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/rhts-python-4.55-1.noarch.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-libs-2.6.4-25.i386.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/beakerlib-1.8-1.noarch.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-simplejson-2.0.3-2.s390x.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-twisted-core-8.2.0-3.ia64.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-libs-2.6.4-25.s390.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-libs-2.6.4-25.x86_64.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-zope-filesystem-1-2.x86_64.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/pyOpenSSL26-0.7-2.s390.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-2.6.4-25.i386.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-simplejson-2.0.3-2.x86_64.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-zope-filesystem-1-2.ppc.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-twisted-web-8.2.0-3.s390x.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-libs-2.6.4-25.ia64.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-2.6.4-25.x86_64.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-zope-interface-3.5.2-1.i386.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-twisted-core-8.2.0-3.x86_64.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-simplejson-2.0.3-2.ia64.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-zope-interface-3.5.2-1.s390.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-2.6.4-25.ia64.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/SOAPpy26-0.11.6-7.noarch.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/PyXML26-0.8.4-12.x86_64.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-twisted-core-8.2.0-3.s390x.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/pexpect-2.3-5.noarch.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/pyOpenSSL26-0.7-2.i386.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/PyXML26-0.8.4-12.i386.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-zope-filesystem-1-2.s390.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/pyOpenSSL26-0.7-2.x86_64.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-twisted-web-8.2.0-3.x86_64.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-twisted-web-8.2.0-3.ia64.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-twisted-core-8.2.0-3.s390.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/pyOpenSSL26-0.7-2.ppc.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-fpconst-0.7.3-3.noarch.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-zope-interface-3.5.2-1.x86_64.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/PyXML26-0.8.4-12.ppc.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/PyXML26-0.8.4-12.s390.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-libs-2.6.4-25.s390x.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/PyXML26-0.8.4-12.ia64.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-twisted-web-8.2.0-3.s390.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/pyOpenSSL26-0.7-2.ia64.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-2.6.4-25.s390x.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-zope-filesystem-1-2.ia64.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/rhts-test-env-4.55-1.noarch.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/beah-0.6.46-1.noarch.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-zope-interface-3.5.2-1.s390x.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-zope-interface-3.5.2-1.ppc.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-zope-filesystem-1-2.i386.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-twisted-web-8.2.0-3.ppc.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-twisted-core-8.2.0-3.i386.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/beakerlib-redhat-1-11.noarch.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/pyOpenSSL26-0.7-2.s390x.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-twisted-web-8.2.0-3.i386.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/PyXML26-0.8.4-12.s390x.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-2.6.4-25.ppc.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-libs-2.6.4-25.ppc.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-simplejson-2.0.3-2.s390.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-setuptools-0.6c9-1.noarch.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-simplejson-2.0.3-2.ppc.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-2.6.4-25.s390.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-zope-interface-3.5.2-1.ia64.rpm
Skipping /var/www/beaker/harness/RedHatEnterpriseLinux3/python26-twisted-core-8.2.0-3.ppc.rpm
pushd /var/www/beaker/harness/RedHatEnterpriseLinux3 && createrepo -q --checksum sha .

Expected results:
Either the createrepo is skipped, OR, createrepo is run with the --update option to speed process.

Additional info:
Comment 2 Dan Callaghan 2014-02-04 20:54:29 EST
On Gerrit: http://gerrit.beaker-project.org/2773
Comment 5 Dan Callaghan 2014-03-16 23:01:35 EDT
Beaker 0.16.0 has been released.

Note You need to log in before you can comment on or make changes to this bug.